#ifndef AUTOTESTS_WINDOWS_STUB_HAND_GESTURE_HELPER_H
#define AUTOTESTS_WINDOWS_STUB_HAND_GESTURE_HELPER_H

#include <QObject>

namespace Sidebar {

class HandGestureHelper : public QObject
{
    Q_OBJECT
public:
    static HandGestureHelper *getInstance();
    void reset();

public Q_SLOTS:
    void callNotificationCenter(int posY);
    void top2BottomRelease(int posX, int posY);
    void callControlCenter(int posX);
    void right2LeftRelease(int posX, int posY);

Q_SIGNALS:
    void notificationCenterCalled(int posY);
    void top2BottomReleased(int posX, int posY);
    void controlCenterCalled(int posX);
    void right2LeftReleased(int posX, int posY);

private:
    explicit HandGestureHelper(QObject *parent = nullptr);
};

} // namespace Sidebar

#endif
